Bug 196696 - rpms for dns seem to conflict
rpms for dns seem to conflict
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: caching-nameserver (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-26 11:23 EDT by Bill Uhl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 20:11:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Uhl 2006-06-26 11:23:17 EDT
Description of problem:
Downloaded FC5 and updates. Merged FC5 and updates into new repository for pxe
kickstart nfs build. Ran createrepo and started pxe kickstart installation with
'@ everything' package.

Kickstart fails with an error popup.
Popup title: Error running transaction
Popup body: There was an error running your transaction, for the following
reason(s): file conflicts

Hit Alt-F3 and see the following in the log:
(timestamp) ERROR  : error running transaction: file /etc/named.conf conflicts
between attempted installs of caching-nameserver-7.3-5.FC5 and
bind-config-9.3.2-20.FC5

Revised kickstart file with '-bind-config' in package list. Reran kickstart.
Same error message popup. Hit Alt-F3 and see the following in the log:
(timestamp) ERROR  : error running transaction: file /etc/named.conf conflicts
between attempted installs of caching-nameserver-7.3-5.FC5 and bind-9.3.2-20.FC5

Rolled bind* packages back to originals from FC5. Reran createrepo. Removed
'-bind-config' directive from kickstart file.

Install proceeding without any problems.


Version-Release number of selected component (if applicable):
Bind files from update that had conflict:
bind-9.3.2-20.FC5.i386.rpm
bind-chroot-9.3.2-20.FC5.i386.rpm
bind-config-9.3.2-20.FC5.i386.rpm
bind-devel-9.3.2-20.FC5.i386.rpm
bind-libbind-devel-9.3.2-20.FC5.i386.rpm
bind-libs-9.3.2-20.FC5.i386.rpm
bind-sdb-9.3.2-20.FC5.i386.rpm
bind-utils-9.3.2-20.FC5.i386.rpm

Bind files from distribution that seem to be working:
bind-utils-9.3.2-4.1.i386.rpm
bind-devel-9.3.2-4.1.i386.rpm
bind-libbind-devel-9.3.2-4.1.i386.rpm
bind-libs-9.3.2-4.1.i386.rpm
bind-sdb-9.3.2-4.1.i386.rpm
bind-9.3.2-4.1.i386.rpm
bind-chroot-9.3.2-4.1.i386.rpm

version of caching-nameserver - from original FC5 as I did not come across any
updates.
caching-nameserver-7.3-5.FC5.noarch.rpm


How reproducible:
Kickstart failed every time with updated bind rpms.

Steps to Reproduce:
1. see above. if more details are required, let me know.
2.
3.
  
Actual results:
kickstart failure and reboot

Expected results:
Successful installation

Additional info:
comps.xml seems to imply that these rpms should be compatible as they are
required for the DNS server group.
Comment 1 Bill Uhl 2006-06-27 11:45:01 EDT
Having built a system with the old rpms, I updated them with yum. During the
update process, yum removed the caching-nameserver rpm that everything was
conflicting with.

I don't see an updated comps.xml in the updates. I will see if kickstart will
build if I remove the caching-nameserver rpm and update the bind rpms or if I
need to edit the comps.xml to remove the caching-nameserver from there as well.
Comment 2 Bill Uhl 2006-06-28 16:30:54 EDT
Kickstart works fine when I add '-caching-nameserver' to the package list.
Comment 3 Jason Vas Dias 2006-07-19 20:11:16 EDT
Well, I don't think this is a problem with the bind RPMs - bind-config
'Obsoletes: caching-nameserver
 Provides: caching-nameserver
'
And I've tested upgrade from the pre-bind-config RPMs, with caching-nameserver
installed, to the new bind RPMs with bind-config, and all RPMs upgrade OK and
caching-namserver is removed. I also tested yum upgrade from the public 
repositories, and the upgrade completed without error.
Yes, for custom installations, you should not attempt to install both 
caching-nameserver and bind-config .

Note You need to log in before you can comment on or make changes to this bug.